import { select, json, tsv, geoPath, geoNaturalEarth1, zoom, event } from 'd3';


import {feature} from 'topojson';

export const loadAndProcessData = () =>
Promise
.all([
tsv('https://unpkg.com/world-atlas@1/world/110m.tsv'),
  json('https://unpkg.com/world-atlas@1/world/110m.json')
])
.then(([tsvData,topoJSONdata])=>{
  
  const rowById = tsvData.reduce((accumulator,d)=>{
  accumulator[d.iso_n3]=d;
    return accumulator;
  },{})
  
  /*
  const countryName = {}
  
  tsvData.map(d=>{
  countryName[d.iso_n3]=d.name;
  })
*/
  
  const countries = feature(topoJSONdata, topoJSONdata.objects.countries)
  
  countries.features.forEach(d=>{
  Object.assign(d.properties, rowById[d.id])
  });
  
  return countries;
});
  